<?php
namespace siruisoft\api\controller\v1;

use \think\Controller;
use \think\Db;

/**
 * 接口鸡肋
 * 返回 [error=>0|1,msg=>'',data=>]
 * status 200
 * error: 0 无错  1 有错  2保留
 * 其它均为网络错误
 */

class Base extends Controller
{



    function initialize()
    {
        parent::initialize();

    }

	//获取资料
	protected function  getinfo($uid){
        if($uid<=0){
         	return [];
        }
        return $row;
	}


    /*
      检查token用户是否有效
      返回用户资料
    */
    function checkToken(){
    	$token = trim(input('param.token/s'));
    	if(empty($token)) return ['error'=>1,'msg'=>'参数错误,没有token'];
      $row = model('User')->getByToken($token);
      if($row){
        return json(['error'=>0,'msg'=>'校验成功','data'=>$row]);
      }
    	return json(['error'=>1,'msg'=>'校验失败,请重新登录']);
    }

}